---
title: CSSTranslate.z
slug: Web/API/CSSTranslate/z
tags:
  - API
  - CSS Typed Object Model API
  - CSSTransformComponent
  - CSSTransformValue
  - CSSTranslate
  - Experimental
  - Houdini
  - Property
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{draft}}</div>

<p class="summary">The <strong><code>z</code></strong> property of the {{domxref("CSSTranslate")}} interface representing the z-component of the translating vector. A positive value moves the element towards the viewer, and a negative value farther away.</p>

<p>If this value is present then the transform is a 3D transform and the <code>is2D</code> property will be set to false.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var translate<em>Z</em> = CSSTranslate.z;</pre>

<h3 id="Value">Value</h3>

<p>A {{cssxref('length')}}.</p>

<h2 id="Examples">Examples</h2>

<p>To Do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-csstranslate-z','z')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSTranslate.z")}}</p>
